$(document).ready( function () {
    
    //Show Imagem em Modal
    $('.imagem').click(function(){
        $('#imagem-full').attr('src', $(this).attr('src'));
        $('#showImagem').modal('show');
    });

    //Datatable
    $('#listagem').DataTable({
        "bPaginate": false,
        "bLengthChange": false,
        "bFilter": true,
        "bInfo": false,
        "bAutoWidth": false
    });
    $('#listagem_filter').find('input').addClass('form-control');

    //Validação Criar
    $("#criar").validate({
        rules: {
            nome: {
                required: true,
            },
            descricao: {
                required: true,
            },
            'imagens[]': {
                required: true,
            }
        },
        messages: {
            nome: "O campo Nome é obrigatório",
            descricao: "O campo Descrição é obrigatório",
            'imagens[]': "O campo Fotos é obrigatório"  
        },
        submitHandler: function(form) {
          form.submit();
        }
      });

      //Validação Editar
      $("#editar").validate({
        rules: {
            nome: {
                required: true,
            },
            descricao: {
                required: true,
            }
        },
        messages: {
            nome: "O campo Nome é obrigatório",
            descricao: "O campo Descrição é obrigatório" 
        },
        submitHandler: function(form) {
          form.submit();
        }
      });
});